XmlTreeview Plugin crashes



  • Hi,
    I try to use the Npp Xml Treeview Plugin (version 2) on npp version 7.9.1, working on W10.
    I always get the following crash error
    4d8085cb-69c4-464d-afce-b3c6d734ce36-image.png
    I tried it with the installed application of npp and with the portable version. It has the same result.
    .Net framework 3.5 and 4.8 is installed.
    Can anybody help

    Thank you,
    Ricardo



  • @ricardo-cours ,

    I cannot find NppXmlTreeview Plugin

    in v7.9.1-32bit Plugins Admin:

    6faefe29-d9cc-41c7-85ad-0c9ed670442a-image.png

    99d8282a-5b93-40f5-bdb5-6d4a256104b2-image.png

    or in v7.9.1-64bit Plugins Admin

    3311cb0a-03bf-4121-9d0e-d688d18dea7f-image.png

    5ba25ac2-c904-498d-b803-a0528d95bd03-image.png

    Where did you get Npp Xml Treeview Plugin? It is quite possible you have the 32-bit plugin but a 64-bit Notepad++ (or vice versa): could you show us ?-menu, Debug Info?

    Or maybe Npp Xml Treeview Plugin hasn’t been updated to the newer internal Scintilla calls, so it’s calling a function or message that doesn’t exist in Notepad++ v7.9.1, and thus giving the crash.



  • Hello Peter,

    I got the NppXmlTreeview from github (https://github.com/joaoasrosa/nppxmltreeview)

    The maker has developed two version (x86 and x64). So I tried both, with the corresponding Notepad++ version.
    You can be right that this plugin doesn’t work with the latest version of notepad. Nothing was mentioned on github, but the plugin latest version was from 2018. I will try with an older version of notepad++

    In the mean time I leave my debug info should you find another solution. I will keep you informed of the test with the older version.

    Notepad++ v7.9.1 (64-bit)
    Build time : Nov 2 2020 - 01:07:46
    Path : C:\Notepad++x64\notepad++.exe
    Admin mode : OFF
    Local Conf mode : ON
    OS Name : Windows 10 Enterprise (64-bit)
    OS Version : 1909
    OS Build : 18363.1139
    Current ANSI codepage : 1251
    Plugins : mimeTools.dll NppConverter.dll NppExport.dll NppXmlTreeviewPlugin.dll PluginManager.dll XMLTools.dll

    Regards,
    Ricardo



  • Problem solved!!!
    You can use the latest notepad++ version 7.9.1 but you have to use the 1.5.0.54 XML Treeview (version Berlin) instead of the Rome verion.
    Thank you for the support



  • @ricardo-cours ,

    If you are still around, I would recommend that you let the author of nppxmltreeview know of your results – that “Rome” wouldn’t work with v7.9.1 32/64 for you, but “Berlin” would – so that the author can try to fix the plugin. Otherwise, other people will have the same problem you did.

    just go to the nppxmltreeview issues and submit a new issue.


Log in to reply